Package org.bukkit.plugin.messaging

# Class ChannelNameTooLongException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.bukkit.plugin.messaging.ChannelNameTooLongException

All Implemented Interfaces:
  `Serializable`

public class ChannelNameTooLongException extends RuntimeException
Thrown if a Plugin Channel is too long.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ChannelNameTooLongException()`
`ChannelNameTooLongException(String channel)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChannelNameTooLongException

public ChannelNameTooLongException()

### ChannelNameTooLongException

public ChannelNameTooLongException(String channel)